Package Details: torchvision-cuda 0.7.0-1

Git Clone URL: https://aur.archlinux.org/torchvision-cuda.git (read-only, click to copy)
Package Base: torchvision-cuda
Description: datasets, transforms, and models specific to computer vision (C++ library only)
Upstream URL: https://github.com/pytorch/vision
Licenses: BSD
Conflicts: torchvision
Provides: torchvision
Submitter: de-vries
Maintainer: de-vries
Last Packager: de-vries
Votes: 1
Popularity: 0.060815
First Submitted: 2020-05-02 19:51
Last Updated: 2020-08-07 09:22

Latest Comments

de-vries commented on 2020-07-11 10:47

Please don't use flagging out of date for build problems. The latest released version is 0.6.1 at this time [1].

The package builds in a clean container, so if you're having issues they seem to be related to your system.

On a side-note, I do not think it is a good solution to just throw away all compiler flags, even if one of them isn't working on your system. I suspect the real issue is which compiler is being used.

[1] https://github.com/pytorch/vision/releases

aviallon commented on 2020-07-10 14:34

I had to make a few changes to make it build successfully : (termbin version : https://termbin.com/owsd)

diff --git a/PKGBUILD b/PKGBUILD
index 578dd42..427dee3 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,6 +1,7 @@
 # Maintainer: Maarten de Vries <maarten@de-vri.es>

 pkgname=torchvision-cuda
+_pkgname=vision
 pkgdesc='datasets, transforms, and models specific to computer vision (C++ library only)'
 pkgver=0.6.1
 pkgrel=1
@@ -28,11 +29,16 @@ makedepends=(
 )

 prepare() {
-       rm -rf build
+       cd $srcdir/${_pkgname}-$pkgver/
+
+       rm -rf build || echo "No build folder to remove"
+
+       echo -e 'set_property(TARGET torch_cuda PROPERTY INTERFACE_COMPILE_OPTIONS "")\nset_property(TARGET torch_cpu PROPERTY INTERFACE_COMPILE_OPTIONS "")' >> CMakeLists.txt
+
        mkdir build
        cd build

-       cmake "../vision-$pkgver" \
+       cmake ".." \
                -DCMAKE_INSTALL_PREFIX=/usr \
                -DCMAKE_BUILD_TYPE=Release \
                -DCMAKE_CXX_FLAGS="${CXXFLAGS} -O3" \
@@ -41,10 +47,14 @@ prepare() {
 }

 build() {
+       cd $srcdir/${_pkgname}-$pkgver/
+
        make -C build
 }

 package() {
+       cd $srcdir/${_pkgname}-$pkgver/
+
        make -C build install DESTDIR="$pkgdir"
-       install -m644 -Dt "$pkgdir/usr/share/licenses/$pkgname" "vision-$pkgver/LICENSE"
+       install -m644 -Dt "$pkgdir/usr/share/licenses/$pkgname" LICENSE
 }

de-vries commented on 2020-05-23 12:56

Whoops, good point. Thanks!

Pastafarianist commented on 2020-05-22 08:21

cmake should probably be listed in build dependencies.